<?php
/*
Plugin Name: EBQuery
Plugin URI: http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/
Description: Schliesst Kategorien aus dem Archiv, den Feeds und der Startseite aus. 
Ausserdem veraendert das Plugin die Parameter von query_posts und schliesst Beitraege aus einzelnen Kategorien aus.
Author: Elke Burmester
Version: 1.0 Beta
Author URI: http://elke-burmester.de
*/


/* 
	Copyright 2008  Elke Burmester  (email : info@elke-burmester.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Load WP-Config File If This File Is Called Directly
if (!function_exists('add_action')) {
	require_once('../../../wp-config.php');
}
/*
*/
require_once('eb_category_exclude.php');
require_once('eb_postsother_exclude.php');
require_once('eb_query_other.php');
require_once('eb_posts_exclude.php');
require_once('eb_query_cat.php');
require_once('eb_query_uninstall.php');

add_action('admin_menu', 'ebquery');
// Add a new top-level menu (ill-advised):
function ebquery() {
	add_menu_page('EBQuery', 'EBQuery', 10, __FILE__, 'ebquerypage');
	// Add a submenu to the custom top-level menu:
	/*
	*/
	add_submenu_page(__FILE__, 'Kategorien auf der Startseite, in den Feeds und Archivseiten ausschlie&szlig;en', 'HFA_cats_exclude', 10, 'eb_category_exclude', 'ebce_options_page');
	add_submenu_page(__FILE__, 'Beitr&auml;ge (H,F,A) ausschlie&szlig;en', 'HFA_posts_exclude', 10, 'eb_postsother_exclude', 'postsother_exclude_options_page');
	add_submenu_page(__FILE__, 'Anzeige auf der Startseite, in den Feeds und Archivseiten &auml;ndern', 'HFA_query_edit', 10, 'eb_query_other', 'ebquery_options_page');
	add_submenu_page(__FILE__, 'Beitr&auml;ge in Kategorien ausschlie&szlig;en', 'CATS_posts_exclude', 10, 'eb_posts_exclude', 'posts_exclude_options_page');
	add_submenu_page(__FILE__, 'Anzeige der Kategorien &auml;ndern', 'CATS_query_edit', 10, 'eb_query_cat', 'ebquerycat_options_page');
	add_submenu_page(__FILE__, 'Einstellungen l&ouml;schen', 'Optionen', 10, 'eb_query_uninstall', 'ebquery_uninstall_page');
}


function ebquerypage(){
?>
<div class="wrap">
Version 1.2 Beta
<h2>Vorwort</h2>
Nachdem ich mich mehrfach dar&uuml;ber ge&auml;rgert hatte, dass ich nicht auf einfache Art und Weise mehrere Kategorien und/oder Beitr&auml;ge gleichzeitig im Frontend ausblenden konnte, habe ich mich hingesetzt und dieses Plugin erstellt. <br />
Als Grundlage diente mir das Plugin <a href="http://www.planetmike.com/journal/plugins/ultimate-category-excluder/" target="_blank"><em>Ultimate Category Excluder</em></a> von Michael Clark. <br />
Dies entsprach schon fast meinen W&uuml;nschen, hatte aber den Nachteil, dass nur noch eine Seite angezeigt wurde, auch wenn es weitere gab. Au&szlig;erdem wurden die Beitr&auml;ge nicht sortiert. <br />
Im Gegensatz zu <em>Ultimate Category Excluder</em> verwendet dieses Plugin die "include"- und nicht die "exclude"-Methode. Aus diesem Grund bleibt die gew&uuml;nschte Sortierung erhalten und auch die anderen Seiten werden wie gewohnt angezeigt. (Sollten Sie die beiden letzten S&auml;tze nicht verstanden haben, dann macht das auch nichts.)<br />
Zus&auml;tzlich habe ich weitere Optionsseiten hinzugef&uuml;gt, auf denen Sie die Ausgabe der Beitr&auml;ge im Frontend beeinflussen k&ouml;nnen.<br />
 <br />
Da das <a href="http://forum.wordpress-deutschland.org" target="_blank">WordPress-Forum</a> voll von Threads ist, die das Ausschlie&szlig;en von Beitr&auml;gen und Kategorien zum Inhalt haben (und ich ein guter Mensch bin ;-)), stelle ich Ihnen dieses Plugin kostenlos zur Verf&uuml;gung.<br />
Auch wenn das Plugin noch nicht alle Optionen enth&auml;lt, die es einmal enthalten soll, hoffe ich, dass auch Sie mit diesem Plugin bereits heute effektiver Ihre Blogseiten gestalten k&ouml;nnen. <br />
&Uuml;ber R&uuml;ckmeldungen freue ich mich. <br />
 &nbsp;<br />
Ihre Elke Burmester <br />
&nbsp; <br />
<h2>Hinweise zu EBQuery (1.0)</h2>
Das Plugin wurde mit der WordPress Version 2.3.3 getestet.<br />
Sollten Sie Fehler aufsp&uuml;ren oder Fragen oder W&uuml;nsche haben, so k&ouml;nnen Sie mir auf meiner <a href="http://www.elke-burmester.de/index.php/category/webdesign-programmierung/wordpress/plugins/" target="_blank">Webseite</a> einen Kommentar hinterlassen.
&nbsp; <br />
&nbsp; <br />
Folgende &Auml;nderungen m&uuml;ssen noch durchgef&uuml;hrt werden:<br />
- Optionsseite "Anzeige Kategorien &auml;ndern" erweitern<br />
&nbsp; <br />
</div>
<?php
return;
}

?>